Bullet Collision Detection & Physics Library: btSoftBodyConcaveCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
btSoftBodyConcaveCollisionAlgorithm Class Reference

btSoftBodyConcaveCollisionAlgorithm supports collision between soft body shapes and (concave) trianges meshes. More...

`#include <btSoftBodyConcaveCollisionAlgorithm.h>`

Inheritance diagram for btSoftBodyConcaveCollisionAlgorithm:
[legend]
Collaboration diagram for btSoftBodyConcaveCollisionAlgorithm:
[legend]

## Classes
struct | CreateFunc
struct | SwappedCreateFunc

## Public Member Functions
| btSoftBodyConcaveCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, bool isSwapped)
virtual | ~btSoftBodyConcaveCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)
void | clearCache ()
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)=0

## Private Attributes
bool | m_isSwapped
btSoftBodyTriangleCallback | m_btSoftBodyTriangleCallback

## Additional Inherited Members
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

btSoftBodyConcaveCollisionAlgorithm supports collision between soft body shapes and (concave) trianges meshes.

Definition at line 106 of file btSoftBodyConcaveCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btSoftBodyConcaveCollisionAlgorithm()

btSoftBodyConcaveCollisionAlgorithm::btSoftBodyConcaveCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | bool | isSwapped
| ) |  |

Definition at line 35 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## ◆ ~btSoftBodyConcaveCollisionAlgorithm()

btSoftBodyConcaveCollisionAlgorithm::~btSoftBodyConcaveCollisionAlgorithm | ( |  | ) |
| virtual

Definition at line 42 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ calculateTimeOfImpact()

btScalar btSoftBodyConcaveCollisionAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 214 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## ◆ clearCache()

void btSoftBodyConcaveCollisionAlgorithm::clearCache | ( |  | ) |

Definition at line 186 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## ◆ getAllContactManifolds()

virtual void btSoftBodyConcaveCollisionAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| inlinevirtual

Implements btCollisionAlgorithm.

Definition at line 121 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ processCollision()

void btSoftBodyConcaveCollisionAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 191 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_btSoftBodyTriangleCallback

btSoftBodyTriangleCallback btSoftBodyConcaveCollisionAlgorithm::m_btSoftBodyTriangleCallback
| private

Definition at line 110 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_isSwapped

bool btSoftBodyConcaveCollisionAlgorithm::m_isSwapped
| private

Definition at line 108 of file btSoftBodyConcaveCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btSoftBodyConcaveCollisionAlgorithm.h
- btSoftBodyConcaveCollisionAlgorithm.cpp